4.3 Database Server Requirements

The Vibe server must have access to a database server listed below.

IMPORTANT:The database server must be online and accessible before you begin the Vibe installation process.

Platform

Requirement

 

SuSE Linux

  • MariaDB 10 on SLES 15

  • MySQL 5.5.3 or later on SLES 11

    NOTE:MySQL 8 and later has password complexity enabled by default, which Vibe doesn’t support. For help disabling password complexity and setting a non-complex password, see Disabling Password Complexity in MySQL 8.

  • Oracle 12c

  • PostgreSQL 9.6 or later

Recommended

  • MariaDB 10 on SLES 12

  • Oracle 11g

  • PostgreSQL 9.4.x

Supported but not tested

Windows

  • Microsoft SQL Server 2017 on Windows Server 2019

  • Microsoft SQL Server 2016 on Windows Server 2016

  • Oracle 12c

  • PostgreSQL 9.6, 10

Recommended

  • MariaDB 5.5 or later server and tools

  • MySQL 5.5.3 or later server and tools

    NOTE:MySQL 8 and later has password complexity enabled by default, which Vibe doesn’t support. For help disabling password complexity and setting a non-complex password, see Disabling Password Complexity in MySQL 8.

  • Microsoft SQL Server 2014 on Windows Server 2012 R2

  • Oracle 11g

  • PostgreSQL 9.4.x

Supported but not tested